import Vue from 'vue';
import Vant from 'vant';
import router from './router';
import store from './store';
import App from './App.vue';
import './static/styles/reset.css';
import 'windi.css';
// import Swiper from 'swiper'
// import "swiper/css/swiper.css";
import VueAwesomeSwiper from 'vue-awesome-swiper'
import 'swiper/dist/css/swiper.css'

import *as echarts from 'echarts'
Vue.prototype.$echarts = echarts
import { POST, GET } from './api/request';
 // 引入图片预览插件
import ViewPreview from 'vue2-preview';
Vue.use(ViewPreview);
Vue.prototype.postRequest = POST;
Vue.prototype.getRequest = GET;
Vue.config.productionTip = false;
Vue.use(Vant);
Vue.use(VueAwesomeSwiper);
const app = new Vue({
  render: (h) => h(App),
  router,
  store,
});

app.$mount('#app');
